package com.jzdsh.auto.biz;

import com.jfinal.plugin.activerecord.Page;
import com.jzdsh.auto.model.HelpInfo;
import com.jzdsh.auto.model.Owner;
import lombok.extern.log4j.Log4j2;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.biz
 * @ClassName: HelpInfoService
 * @Author: Jzdsh
 * @Description: 帮组中心
 * @Date: 2020/3/28 12:01
 * @Version: 1.0
 */
@Log4j2
public class HelpInfoService {


    public Page< HelpInfo > page(int pageNum, int pageSize) {
        try {
            return HelpInfo.dao.paginate(pageNum, pageSize, "select a.*,b.title typeName ", "from help_info a,bs_type b where a.typeId = b.id order by releaseTime desc");
        } catch (Exception e) {
            log.info("", e);
        }
        return null;
    }
}
